LSMCODE(8)

NAME
lsmcode - list microcode and firmware levels

SYNOPSIS

lsmcode [-A | --All | -d<name> | --device=<name>] [--tabular | --no-menus] [-p<database-file> | --path=<database-file> | -z<database-archive> | --zip=<database-archive>] [-h | --help]

DESCRIPTION

This program is part of the lsvpd package for Linux. This package is a (partial) reimplementation of AIX's lsvpd and related commands.

 lsmcode lists hardware microcode and firmware levels. The output can be presented in a `human readable' format or a more structured format that is easily parsable by other software. The Linux version does not support the interactive menus that are found in the AIX version. lsmcode retrieves information from lsvpd's hardware inventory database. Therefore, the vpdupdate(8) command must have been executed prior to running lsmcode.

Some IBM POWER systems feature dynamic VPD. lsmcode will only list version information corresponding to dynamic VPD when invoked by the root user - when invoked by another user this version information will be omitted but other version information will still be listed.

OPTIONS

-A|--All
    Display information for all supported hardware.

-d<name>|--device=<name>
    Only show configuration information for the component with the given name.

-p<database-file>|--path=<database-file>
    Use <database-file> as the hardware inventory database, rather than the default file. Note the supplied filename must include a full path. (/var/lib/lsvpd/vpd.db). This option is useful for producing output for previous hardware inventory databases that have been replaced by the system.

-z<database-archive>--zip=<database-archive>
    Use <database-archive> as the hardware inventory database, rather than the default directory (/var/lib/lsvpd/). The archive has been compressed using gzip(1). This option is useful for producing output for old hardware inventory databases that have been archived by the system.

-h|--help
    Display a help screen and quit.

FILES

/var/lib/lsvpd/vpd.db
    Database file used by lsmcode.

BUGS

 lsmcode will not reflect changes in firmware/microcode versions for certain hardware without a reboot. This will (hopefully) be supported in a later version on Linux 2.6 systems with dynamic /proc/device-tree.

Version information for some adapters may not be available because retrieval mechanisms have not yet been implemented.

SEE ALSO

lsvpd(8), lscfg(8), lsvio(8), vpdupdate(8)

AUTHORS

Eric Munson <ebmunson@us.ibm.com>. Brad Peters <bpeters@us.ibm.com>.

Copyright (c) 2003 - 2013 IBM.